org.eclipse.eef.core.internal

## Class EEFGroupImpl

- java.lang.Object
- - org.eclipse.eef.core.internal.EEFGroupImpl

All Implemented Interfaces:
  EEFGroup

    public class EEFGroupImpl
    extends java.lang.Object
    implements EEFGroup

The implementation of the `EEFGroup`.

### Constructor Summary

Constructors
Constructor and Description
`EEFGroupImpl(EEFPage eefPage, EEFGroupDescription eefGroupDescription, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`EEFGroupDescription` `getDescription()` Returns the description of the `EEFGroup`.
`org.eclipse.sirius.common.interpreter.api.IInterpreter` `getInterpreter()` Returns the interpreter.
`EEFPage` `getPage()` Returns the page containing the group.
`org.eclipse.sirius.common.interpreter.api.IVariableManager` `getVariableManager()` Returns the variable manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFGroupImpl

    public EEFGroupImpl(EEFPage eefPage,
                        EEFGroupDescription eefGroupDescription,
                        org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                        org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter)

The constructor.

Parameters:
  `eefPage` - The containing `EEFPage`
  `eefGroupDescription` - The description
  `variableManager` - The variable manager.
  `interpreter` - The interpreter

### Method Detail

#### getDescription

    public EEFGroupDescription getDescription()

Returns the description of the `EEFGroup`.

Specified by:
  `getDescription` in interface `EEFGroup`
Returns:
  The `EEFGroupDescription`
See Also:
  `EEFGroup.getDescription()`

#### getPage

    public EEFPage getPage()

Description copied from interface: `EEFGroup`
Returns the page containing the group.

Specified by:
  `getPage` in interface `EEFGroup`
Returns:
  The page containing the group

#### getVariableManager

    public org.eclipse.sirius.common.interpreter.api.IVariableManager getVariableManager()

Returns the variable manager.

Specified by:
  `getVariableManager` in interface `EEFGroup`
Returns:
  The variable manager
See Also:
  `EEFGroup.getVariableManager()`

#### getInterpreter

    public org.eclipse.sirius.common.interpreter.api.IInterpreter getInterpreter()

Returns the interpreter.

Specified by:
  `getInterpreter` in interface `EEFGroup`
Returns:
  The interpreter
See Also:
  `EEFGroup.getInterpreter()`